var _lua_murl_math =
[
    [ "Table members", "_lua_murl_math.html#LuaMurlMathTable", [
      [ "Namespaces", "_lua_murl_math.html#LuaMurlMathNamespaces", null ],
      [ "Classes", "_lua_murl_math.html#LuaMurlMathClasses", null ],
      [ "Functions", "_lua_murl_math.html#LuaMurlMathFunctions", [
        [ "Murl.Math.Abs(value)", "_lua_murl_math.html#LuaMurlMathAbsDataTypevalue", null ],
        [ "Murl.Math.Sgn(value)", "_lua_murl_math.html#LuaMurlMathSgnDataTypevalue", null ],
        [ "Murl.Math.Min(x, y)", "_lua_murl_math.html#LuaMurlMathMinDataTypexDataTypey", null ],
        [ "Murl.Math.Min(x, y, z)", "_lua_murl_math.html#LuaMurlMathMinDataTypexDataTypeyDataTypez", null ],
        [ "Murl.Math.Min(x, y, z, w)", "_lua_murl_math.html#LuaMurlMathMinDataTypexDataTypeyDataTypezDataTypew", null ],
        [ "Murl.Math.Max(x, y)", "_lua_murl_math.html#LuaMurlMathMaxDataTypexDataTypey", null ],
        [ "Murl.Math.Max(x, y, z)", "_lua_murl_math.html#LuaMurlMathMaxDataTypexDataTypeyDataTypez", null ],
        [ "Murl.Math.Max(x, y, z, w)", "_lua_murl_math.html#LuaMurlMathMaxDataTypexDataTypeyDataTypezDataTypew", null ],
        [ "Murl.Math.Clamp(val, min, max)", "_lua_murl_math.html#LuaMurlMathClampDataTypevalDataTypeminDataTypemax", null ],
        [ "Murl.Math.IsNaN(value)", "_lua_murl_math.html#LuaMurlMathIsNaNDataTypevalue", null ],
        [ "Murl.Math.IsInfinite(value)", "_lua_murl_math.html#LuaMurlMathIsInfiniteDataTypevalue", null ],
        [ "Murl.Math.IsFinite(value)", "_lua_murl_math.html#LuaMurlMathIsFiniteDataTypevalue", null ],
        [ "Murl.Math.Exp(value)", "_lua_murl_math.html#LuaMurlMathExpDataTypevalue", null ],
        [ "Murl.Math.Log(value)", "_lua_murl_math.html#LuaMurlMathLogDataTypevalue", null ],
        [ "Murl.Math.Log2(value)", "_lua_murl_math.html#LuaMurlMathLog2DataTypevalue", null ],
        [ "Murl.Math.Log10(value)", "_lua_murl_math.html#LuaMurlMathLog10DataTypevalue", null ],
        [ "Murl.Math.Sqrt(value)", "_lua_murl_math.html#LuaMurlMathSqrtDataTypevalue", null ],
        [ "Murl.Math.Pow(base, exponent)", "_lua_murl_math.html#LuaMurlMathPowDataTypebaseDataTypeexponent", null ],
        [ "Murl.Math.Fmod(numerator, denominator)", "_lua_murl_math.html#LuaMurlMathFmodDataTypenumeratorDataTypedenominator", null ],
        [ "Murl.Math.ModF(value, intPart)", "_lua_murl_math.html#LuaMurlMathModFDataTypevalueDataTypeintPart", null ],
        [ "Murl.Math.Remainder(numerator, denominator)", "_lua_murl_math.html#LuaMurlMathRemainderDataTypenumeratorDataTypedenominator", null ],
        [ "Murl.Math.Sin(radAngle)", "_lua_murl_math.html#LuaMurlMathSinDataTyperadAngle", null ],
        [ "Murl.Math.Cos(radAngle)", "_lua_murl_math.html#LuaMurlMathCosDataTyperadAngle", null ],
        [ "Murl.Math.Tan(radAngle)", "_lua_murl_math.html#LuaMurlMathTanDataTyperadAngle", null ],
        [ "Murl.Math.ArcSin(value)", "_lua_murl_math.html#LuaMurlMathArcSinDataTypevalue", null ],
        [ "Murl.Math.ArcCos(value)", "_lua_murl_math.html#LuaMurlMathArcCosDataTypevalue", null ],
        [ "Murl.Math.ArcTan(value)", "_lua_murl_math.html#LuaMurlMathArcTanDataTypevalue", null ],
        [ "Murl.Math.ArcTan2(y, x)", "_lua_murl_math.html#LuaMurlMathArcTan2DataTypeyDataTypex", null ],
        [ "Murl.Math.SinHyp(value)", "_lua_murl_math.html#LuaMurlMathSinHypDataTypevalue", null ],
        [ "Murl.Math.CosHyp(value)", "_lua_murl_math.html#LuaMurlMathCosHypDataTypevalue", null ],
        [ "Murl.Math.TanHyp(value)", "_lua_murl_math.html#LuaMurlMathTanHypDataTypevalue", null ],
        [ "Murl.Math.ArcSinHyp(value)", "_lua_murl_math.html#LuaMurlMathArcSinHypDataTypevalue", null ],
        [ "Murl.Math.ArcCosHyp(value)", "_lua_murl_math.html#LuaMurlMathArcCosHypDataTypevalue", null ],
        [ "Murl.Math.ArcTanHyp(value)", "_lua_murl_math.html#LuaMurlMathArcTanHypDataTypevalue", null ],
        [ "Murl.Math.Floor(value)", "_lua_murl_math.html#LuaMurlMathFloorDataTypevalue", null ],
        [ "Murl.Math.Ceil(value)", "_lua_murl_math.html#LuaMurlMathCeilDataTypevalue", null ],
        [ "Murl.Math.Round(value)", "_lua_murl_math.html#LuaMurlMathRoundDataTypevalue", null ],
        [ "Murl.Math.IsEqual(a, b, epsilon)", "_lua_murl_math.html#LuaMurlMathIsEqualDataTypeaDataTypebDataTypeepsilon", null ],
        [ "Murl.Math.DegToRad(degrees)", "_lua_murl_math.html#LuaMurlMathDegToRadDataTypedegrees", null ],
        [ "Murl.Math.RadToDeg(radiants)", "_lua_murl_math.html#LuaMurlMathRadToDegDataTyperadiants", null ],
        [ "Murl.Math.MapAngle(angle)", "_lua_murl_math.html#LuaMurlMathMapAngleDataTypeangle", null ],
        [ "Murl.Math.AddAngle(angle1, angle2)", "_lua_murl_math.html#LuaMurlMathAddAngleDataTypeangle1DataTypeangle2", null ],
        [ "Murl.Math.SubAngle(angle1, angle2)", "_lua_murl_math.html#LuaMurlMathSubAngleDataTypeangle1DataTypeangle2", null ],
        [ "Murl.Math.FloatToHalfFloat(value)", "_lua_murl_math.html#LuaMurlMathFloatToHalfFloatFloatvalue", null ],
        [ "Murl.Math.IntToHalfFloat(value)", "_lua_murl_math.html#LuaMurlMathIntToHalfFloatUInt8value", null ],
        [ "Murl.Math.HalfFloatToFloat(value)", "_lua_murl_math.html#LuaMurlMathHalfFloatToFloatUInt16value", null ],
        [ "Murl.Math.HalfFloatToInt(value)", "_lua_murl_math.html#LuaMurlMathHalfFloatToIntUInt16value", null ],
        [ "Murl.Math.FloatToPackedFloat11(value)", "_lua_murl_math.html#LuaMurlMathFloatToPackedFloat11Floatvalue", null ],
        [ "Murl.Math.PackedFloat11ToFloat(value)", "_lua_murl_math.html#LuaMurlMathPackedFloat11ToFloatUInt16value", null ],
        [ "Murl.Math.FloatToPackedFloat10(value)", "_lua_murl_math.html#LuaMurlMathFloatToPackedFloat10Floatvalue", null ],
        [ "Murl.Math.PackedFloat10ToFloat(value)", "_lua_murl_math.html#LuaMurlMathPackedFloat10ToFloatUInt16value", null ],
        [ "Murl.Math.Lerp(startValue, endValue, t)", "_lua_murl_math.html#LuaMurlMathLerpDoublestartValueDoubleendValueDataTypeTt", null ],
        [ "Murl.Math.CubicBezierAt(x0, x1, x2, x3, y0, y1, y2, y3, x)", "_lua_murl_math.html#LuaMurlMathCubicBezierAtDataTypeVx0DataTypeVx1DataTypeVx2DataTypeVx3DataTypeVy0DataTypeVy1DataTypeVy2DataTypeVy3DataTypeVx", null ],
        [ "Murl.Math.Interpolation(interpolation, x)", "_lua_murl_math.html#LuaMurlMathInterpolationIEnumsInterpolationinterpolationDataTypex", null ]
      ] ]
    ] ],
    [ "Murl.Math.F32", "_lua_murl_math_f32.html", [
      [ "Table members", "_lua_murl_math_f32.html#LuaMurlMathF32Table", null ]
    ] ],
    [ "Murl.Math.BigInteger", "_lua_murl_math_big_integer.html", [
      [ "Table members", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerTable", [
        [ "Members", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerMembers", [
          [ "Murl.Math.BigInteger.ZERO", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerZERO", null ],
          [ "Murl.Math.BigInteger.ONE", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerONE", null ],
          [ "Murl.Math.BigInteger.TWO", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerTWO", null ]
        ] ],
        [ "Functions", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerFunctions", [
          [ "Murl.Math.BigInteger.FromData(data)", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerFromDataConstDatadata", null ],
          [ "Murl.Math.BigInteger.FromHexString(str)", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerFromHexStringStringstr", null ],
          [ "Murl.Math.BigInteger.new()", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegernew", null ],
          [ "Murl.Math.BigInteger.new(value)", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegernewSInt64value", null ],
          [ "Murl.Math.BigInteger.new(value)", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegernewStringvalue", null ],
          [ "Murl.Math.BigInteger.new(other, reservedDigits)", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegernewBigIntegerotherUInt32reservedDigits", null ]
        ] ],
        [ "Methods", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerMethods", [
          [ "Clear()", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerClear", null ],
          [ "Set(other)", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerSetBigIntegerother", null ],
          [ "Set(other, reservedDigits)", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerSetBigIntegerotherUInt32reservedDigits", null ],
          [ "SetSInt32(value)", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerSetSInt32SInt32value", null ],
          [ "SetUInt32(value)", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerSetUInt32UInt32value", null ],
          [ "SetSInt64(value)", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerSetSInt64SInt64value", null ],
          [ "SetUInt64(value)", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerSetUInt64UInt64value", null ],
          [ "SetString(value)", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerSetStringStringvalue", null ],
          [ "CompareTo(other)", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerCompareToBigIntegerother", null ],
          [ "CompareToAbsolute(other)", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerCompareToAbsoluteBigIntegerother", null ],
          [ "GetLength()", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerGetLength", null ],
          [ "GetByteAt(index)", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerGetByteAtUInt32index", null ],
          [ "SetByteAt(index, byte)", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerSetByteAtUInt32indexUInt8byte", null ],
          [ "GetBitAt(index)", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerGetBitAtUInt32index", null ],
          [ "SetBitAt(index, bit)", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerSetBitAtUInt32indexBoolbit", null ],
          [ "IsZero()", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerIsZero", null ],
          [ "IsOne()", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerIsOne", null ],
          [ "IsPositive()", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerIsPositive", null ],
          [ "IsNegative()", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerIsNegative", null ],
          [ "IsEven()", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerIsEven", null ],
          [ "IsOdd()", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerIsOdd", null ],
          [ "Invert()", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerInvert", null ],
          [ "Abs()", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerAbs", null ],
          [ "Add(other)", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerAddBigIntegerother", null ],
          [ "Subtract(other)", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerSubtractBigIntegerother", null ],
          [ "Multiply(other)", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerMultiplyBigIntegerother", null ],
          [ "Multiply(other, result)", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerMultiplyBigIntegerotherBigIntegerresult", null ],
          [ "Divide(other)", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerDivideBigIntegerother", null ],
          [ "Divide(other, remainder)", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerDivideBigIntegerotherBigIntegerremainder", null ],
          [ "Modulo(other)", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerModuloBigIntegerother", null ],
          [ "Power(n)", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerPowerUInt32n", null ],
          [ "Power(n)", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerPowerBigIntegern", null ],
          [ "PowerModulo(n, m)", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerPowerModuloBigIntegernBigIntegerm", null ],
          [ "GreatestCommonDivisor(other)", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerGreatestCommonDivisorBigIntegerother", null ],
          [ "InvertSelf()", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerInvertSelf", null ],
          [ "AbsSelf()", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerAbsSelf", null ],
          [ "MoveBytesLeftSelf(bytes)", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerMoveBytesLeftSelfUInt32bytes", null ],
          [ "MoveBytesRightSelf(bytes)", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerMoveBytesRightSelfUInt32bytes", null ],
          [ "AddSelf(other)", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerAddSelfBigIntegerother", null ],
          [ "SubtractSelf(other)", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerSubtractSelfBigIntegerother", null ],
          [ "MultiplySelf(other)", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerMultiplySelfBigIntegerother", null ],
          [ "DivideSelf(other)", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerDivideSelfBigIntegerother", null ],
          [ "DivideSelf(other, remainder)", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerDivideSelfBigIntegerotherBigIntegerremainder", null ],
          [ "ModuloSelf(other)", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerModuloSelfBigIntegerother", null ],
          [ "PowerSelf(n)", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerPowerSelfUInt32n", null ],
          [ "PowerSelf(n)", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerPowerSelfBigIntegern", null ],
          [ "PowerModuloSelf(n, m)", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerPowerModuloSelfBigIntegernBigIntegerm", null ],
          [ "ToHexString()", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerToHexString", null ],
          [ "ToData(length)", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerToDataUInt32length", null ],
          [ "ToUInt32(start, count)", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerToUInt32UInt32startUInt32count", null ],
          [ "ToUInt64(start, count)", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerToUInt64UInt32startUInt32count", null ]
        ] ],
        [ "Metamethods", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerMetamethods", [
          [ "The equal to operator.", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerMeta__eqBigIntegerrhs", null ],
          [ "The less than operator.", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerMeta__ltBigIntegerrhs", null ],
          [ "The less than or equal operator.", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerMeta__leBigIntegerrhs", null ],
          [ "The addition operator.", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerMeta__addBigIntegerrhs", null ],
          [ "The unary minus operator.", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerMeta__unm", null ],
          [ "The subtraction operator.", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerMeta__subBigIntegerrhs", null ],
          [ "The multiplication operator.", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerMeta__mulBigIntegerrhs", null ],
          [ "The division operator.", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerMeta__divBigIntegerrhs", null ],
          [ "The modulo operator.", "_lua_murl_math_big_integer.html#LuaMurlMathBigIntegerMeta__modBigIntegerrhs", null ]
        ] ]
      ] ]
    ] ],
    [ "Murl.Math.Box", "_lua_murl_math_box.html", [
      [ "Table members", "_lua_murl_math_box.html#LuaMurlMathBoxTable", [
        [ "Functions", "_lua_murl_math_box.html#LuaMurlMathBoxFunctions", [
          [ "Murl.Math.Box.new()", "_lua_murl_math_box.html#LuaMurlMathBoxnew", null ],
          [ "Murl.Math.Box.new(b1, b2)", "_lua_murl_math_box.html#LuaMurlMathBoxnewBoxb1Boxb2", null ],
          [ "Murl.Math.Box.new(sphere)", "_lua_murl_math_box.html#LuaMurlMathBoxnewSphereDataTypesphere", null ],
          [ "Murl.Math.Box.new(point)", "_lua_murl_math_box.html#LuaMurlMathBoxnewVectorDataTypepoint", null ],
          [ "Murl.Math.Box.new(min, max)", "_lua_murl_math_box.html#LuaMurlMathBoxnewVectorDataTypeminVectorDataTypemax", null ],
          [ "Murl.Math.Box.new(a, b, c)", "_lua_murl_math_box.html#LuaMurlMathBoxnewVectorDataTypeaVectorDataTypebVectorDataTypec", null ]
        ] ],
        [ "Methods", "_lua_murl_math_box.html#LuaMurlMathBoxMethods", [
          [ "Clear()", "_lua_murl_math_box.html#LuaMurlMathBoxClear", null ],
          [ "Set(other)", "_lua_murl_math_box.html#LuaMurlMathBoxSetBoxother", null ],
          [ "Set(b1, b2)", "_lua_murl_math_box.html#LuaMurlMathBoxSetBoxb1Boxb2", null ],
          [ "Set(sphere)", "_lua_murl_math_box.html#LuaMurlMathBoxSetSphereDataTypesphere", null ],
          [ "Set(point)", "_lua_murl_math_box.html#LuaMurlMathBoxSetVectorDataTypepoint", null ],
          [ "Set(min, max)", "_lua_murl_math_box.html#LuaMurlMathBoxSetVectorDataTypeminVectorDataTypemax", null ],
          [ "Set(a, b, c)", "_lua_murl_math_box.html#LuaMurlMathBoxSetVectorDataTypeaVectorDataTypebVectorDataTypec", null ],
          [ "SetMinimum(min)", "_lua_murl_math_box.html#LuaMurlMathBoxSetMinimumVectorDataTypemin", null ],
          [ "SetMaximum(max)", "_lua_murl_math_box.html#LuaMurlMathBoxSetMaximumVectorDataTypemax", null ],
          [ "GetMinimum()", "_lua_murl_math_box.html#LuaMurlMathBoxGetMinimum", null ],
          [ "GetMaximum()", "_lua_murl_math_box.html#LuaMurlMathBoxGetMaximum", null ],
          [ "Unite(other)", "_lua_murl_math_box.html#LuaMurlMathBoxUniteBoxother", null ],
          [ "Include(point)", "_lua_murl_math_box.html#LuaMurlMathBoxIncludeVectorDataTypepoint", null ],
          [ "IsIntersecting(other)", "_lua_murl_math_box.html#LuaMurlMathBoxIsIntersectingBoxother", null ],
          [ "IsEmpty()", "_lua_murl_math_box.html#LuaMurlMathBoxIsEmpty", null ],
          [ "GetFlags()", "_lua_murl_math_box.html#LuaMurlMathBoxGetFlags", null ],
          [ "ToString()", "_lua_murl_math_box.html#LuaMurlMathBoxToString", null ]
        ] ],
        [ "Metamethods", "_lua_murl_math_box.html#LuaMurlMathBoxMetamethods", [
          [ "The tostring operator", "_lua_murl_math_box.html#LuaMurlMathBoxMeta__tostring", null ]
        ] ]
      ] ]
    ] ],
    [ "Murl.Math.Cone", "_lua_murl_math_cone.html", [
      [ "Table members", "_lua_murl_math_cone.html#LuaMurlMathConeTable", [
        [ "Functions", "_lua_murl_math_cone.html#LuaMurlMathConeFunctions", [
          [ "Murl.Math.Cone.new()", "_lua_murl_math_cone.html#LuaMurlMathConenew", null ],
          [ "Murl.Math.Cone.new(length, angle)", "_lua_murl_math_cone.html#LuaMurlMathConenewDataTypelengthDataTypeangle", null ],
          [ "Murl.Math.Cone.new(frustum)", "_lua_murl_math_cone.html#LuaMurlMathConenewFrustumDataTypefrustum", null ]
        ] ],
        [ "Methods", "_lua_murl_math_cone.html#LuaMurlMathConeMethods", [
          [ "GetLength()", "_lua_murl_math_cone.html#LuaMurlMathConeGetLength", null ],
          [ "GetAngle()", "_lua_murl_math_cone.html#LuaMurlMathConeGetAngle", null ],
          [ "Set(frustum)", "_lua_murl_math_cone.html#LuaMurlMathConeSetFrustumDataTypefrustum", null ],
          [ "IsIntersecting(sphere)", "_lua_murl_math_cone.html#LuaMurlMathConeIsIntersectingSphereDataTypesphere", null ],
          [ "ToString()", "_lua_murl_math_cone.html#LuaMurlMathConeToString", null ]
        ] ],
        [ "Metamethods", "_lua_murl_math_cone.html#LuaMurlMathConeMetamethods", [
          [ "The tostring operator", "_lua_murl_math_cone.html#LuaMurlMathConeMeta__tostring", null ]
        ] ]
      ] ]
    ] ],
    [ "Murl.Math.Cylinder", "_lua_murl_math_cylinder.html", [
      [ "Table members", "_lua_murl_math_cylinder.html#LuaMurlMathCylinderTable", [
        [ "Functions", "_lua_murl_math_cylinder.html#LuaMurlMathCylinderFunctions", [
          [ "Murl.Math.Cylinder.new()", "_lua_murl_math_cylinder.html#LuaMurlMathCylindernew", null ],
          [ "Murl.Math.Cylinder.new(length, radius)", "_lua_murl_math_cylinder.html#LuaMurlMathCylindernewDataTypelengthDataTyperadius", null ],
          [ "Murl.Math.Cylinder.new(box)", "_lua_murl_math_cylinder.html#LuaMurlMathCylindernewBoxDataTypebox", null ]
        ] ],
        [ "Methods", "_lua_murl_math_cylinder.html#LuaMurlMathCylinderMethods", [
          [ "GetLength()", "_lua_murl_math_cylinder.html#LuaMurlMathCylinderGetLength", null ],
          [ "GetRadius()", "_lua_murl_math_cylinder.html#LuaMurlMathCylinderGetRadius", null ],
          [ "Set(box)", "_lua_murl_math_cylinder.html#LuaMurlMathCylinderSetBoxDataTypebox", null ],
          [ "Set(box, shearX, shearY)", "_lua_murl_math_cylinder.html#LuaMurlMathCylinderSetBoxDataTypeboxDataTypeshearXDataTypeshearY", null ],
          [ "IsIntersecting(sphere)", "_lua_murl_math_cylinder.html#LuaMurlMathCylinderIsIntersectingSphereDataTypesphere", null ],
          [ "ToString()", "_lua_murl_math_cylinder.html#LuaMurlMathCylinderToString", null ]
        ] ],
        [ "Metamethods", "_lua_murl_math_cylinder.html#LuaMurlMathCylinderMetamethods", [
          [ "The tostring operator", "_lua_murl_math_cylinder.html#LuaMurlMathCylinderMeta__tostring", null ]
        ] ]
      ] ]
    ] ],
    [ "Murl.Math.Easing", "_lua_murl_math_easing.html", [
      [ "Table members", "_lua_murl_math_easing.html#LuaMurlMathEasingTable", [
        [ "Functions", "_lua_murl_math_easing.html#LuaMurlMathEasingFunctions", [
          [ "Murl.Math.Easing.Constant(x)", "_lua_murl_math_easing.html#LuaMurlMathEasingConstantDataTypex", null ],
          [ "Murl.Math.Easing.Linear(x)", "_lua_murl_math_easing.html#LuaMurlMathEasingLinearDataTypex", null ],
          [ "Murl.Math.Easing.SmoothstepInOut(x)", "_lua_murl_math_easing.html#LuaMurlMathEasingSmoothstepInOutDataTypex", null ],
          [ "Murl.Math.Easing.SmoothstepIn(x)", "_lua_murl_math_easing.html#LuaMurlMathEasingSmoothstepInDataTypex", null ],
          [ "Murl.Math.Easing.SmoothstepOut(x)", "_lua_murl_math_easing.html#LuaMurlMathEasingSmoothstepOutDataTypex", null ],
          [ "Murl.Math.Easing.SmoothstepOutIn(x)", "_lua_murl_math_easing.html#LuaMurlMathEasingSmoothstepOutInDataTypex", null ],
          [ "Murl.Math.Easing.SmootherstepInOut(x)", "_lua_murl_math_easing.html#LuaMurlMathEasingSmootherstepInOutDataTypex", null ],
          [ "Murl.Math.Easing.SmootherstepIn(x)", "_lua_murl_math_easing.html#LuaMurlMathEasingSmootherstepInDataTypex", null ],
          [ "Murl.Math.Easing.SmootherstepOut(x)", "_lua_murl_math_easing.html#LuaMurlMathEasingSmootherstepOutDataTypex", null ],
          [ "Murl.Math.Easing.SmootherstepOutIn(x)", "_lua_murl_math_easing.html#LuaMurlMathEasingSmootherstepOutInDataTypex", null ],
          [ "Murl.Math.Easing.EaseIn(x)", "_lua_murl_math_easing.html#LuaMurlMathEasingEaseInDataTypex", null ],
          [ "Murl.Math.Easing.EaseOut(x)", "_lua_murl_math_easing.html#LuaMurlMathEasingEaseOutDataTypex", null ],
          [ "Murl.Math.Easing.EaseInOut(x)", "_lua_murl_math_easing.html#LuaMurlMathEasingEaseInOutDataTypex", null ],
          [ "Murl.Math.Easing.EaseOutIn(x)", "_lua_murl_math_easing.html#LuaMurlMathEasingEaseOutInDataTypex", null ],
          [ "Murl.Math.Easing.EaseQuartIn(x)", "_lua_murl_math_easing.html#LuaMurlMathEasingEaseQuartInDataTypex", null ],
          [ "Murl.Math.Easing.EaseQuartOut(x)", "_lua_murl_math_easing.html#LuaMurlMathEasingEaseQuartOutDataTypex", null ],
          [ "Murl.Math.Easing.EaseQuartInOut(x)", "_lua_murl_math_easing.html#LuaMurlMathEasingEaseQuartInOutDataTypex", null ],
          [ "Murl.Math.Easing.EaseQuartOutIn(x)", "_lua_murl_math_easing.html#LuaMurlMathEasingEaseQuartOutInDataTypex", null ],
          [ "Murl.Math.Easing.EaseExponentialIn(x)", "_lua_murl_math_easing.html#LuaMurlMathEasingEaseExponentialInDataTypex", null ],
          [ "Murl.Math.Easing.EaseExponentialOut(x)", "_lua_murl_math_easing.html#LuaMurlMathEasingEaseExponentialOutDataTypex", null ],
          [ "Murl.Math.Easing.EaseExponentialInOut(x)", "_lua_murl_math_easing.html#LuaMurlMathEasingEaseExponentialInOutDataTypex", null ],
          [ "Murl.Math.Easing.EaseExponentialOutIn(x)", "_lua_murl_math_easing.html#LuaMurlMathEasingEaseExponentialOutInDataTypex", null ],
          [ "Murl.Math.Easing.EaseCircularIn(x)", "_lua_murl_math_easing.html#LuaMurlMathEasingEaseCircularInDataTypex", null ],
          [ "Murl.Math.Easing.EaseCircularOut(x)", "_lua_murl_math_easing.html#LuaMurlMathEasingEaseCircularOutDataTypex", null ],
          [ "Murl.Math.Easing.EaseCircularHelper(x)", "_lua_murl_math_easing.html#LuaMurlMathEasingEaseCircularHelperDataTypex", null ],
          [ "Murl.Math.Easing.EaseCircularInOut(x)", "_lua_murl_math_easing.html#LuaMurlMathEasingEaseCircularInOutDataTypex", null ],
          [ "Murl.Math.Easing.EaseCircularOutIn(x)", "_lua_murl_math_easing.html#LuaMurlMathEasingEaseCircularOutInDataTypex", null ],
          [ "Murl.Math.Easing.EaseBackIn(x)", "_lua_murl_math_easing.html#LuaMurlMathEasingEaseBackInDataTypex", null ],
          [ "Murl.Math.Easing.EaseBackOut(x)", "_lua_murl_math_easing.html#LuaMurlMathEasingEaseBackOutDataTypex", null ],
          [ "Murl.Math.Easing.EaseBackInOut(x)", "_lua_murl_math_easing.html#LuaMurlMathEasingEaseBackInOutDataTypex", null ],
          [ "Murl.Math.Easing.EaseBackOutIn(x)", "_lua_murl_math_easing.html#LuaMurlMathEasingEaseBackOutInDataTypex", null ],
          [ "Murl.Math.Easing.EaseElasticIn(x)", "_lua_murl_math_easing.html#LuaMurlMathEasingEaseElasticInDataTypex", null ],
          [ "Murl.Math.Easing.EaseElasticOut(x)", "_lua_murl_math_easing.html#LuaMurlMathEasingEaseElasticOutDataTypex", null ],
          [ "Murl.Math.Easing.EaseElasticInOut(x)", "_lua_murl_math_easing.html#LuaMurlMathEasingEaseElasticInOutDataTypex", null ],
          [ "Murl.Math.Easing.EaseElasticOutIn(x)", "_lua_murl_math_easing.html#LuaMurlMathEasingEaseElasticOutInDataTypex", null ],
          [ "Murl.Math.Easing.EaseBounceOut(x)", "_lua_murl_math_easing.html#LuaMurlMathEasingEaseBounceOutDataTypex", null ],
          [ "Murl.Math.Easing.EaseBounceIn(x)", "_lua_murl_math_easing.html#LuaMurlMathEasingEaseBounceInDataTypex", null ],
          [ "Murl.Math.Easing.EaseBounceInOut(x)", "_lua_murl_math_easing.html#LuaMurlMathEasingEaseBounceInOutDataTypex", null ],
          [ "Murl.Math.Easing.EaseBounceOutIn(x)", "_lua_murl_math_easing.html#LuaMurlMathEasingEaseBounceOutInDataTypex", null ]
        ] ]
      ] ]
    ] ],
    [ "Murl.Math.Frustum", "_lua_murl_math_frustum.html", [
      [ "Table members", "_lua_murl_math_frustum.html#LuaMurlMathFrustumTable", [
        [ "Enumerations", "_lua_murl_math_frustum.html#LuaMurlMathFrustumEnumerations", [
          [ "ClipPlane", "_lua_murl_math_frustum.html#LuaMurlMathFrustumClipPlane", null ]
        ] ],
        [ "Functions", "_lua_murl_math_frustum.html#LuaMurlMathFrustumFunctions", [
          [ "Murl.Math.Frustum.new()", "_lua_murl_math_frustum.html#LuaMurlMathFrustumnew", null ],
          [ "Murl.Math.Frustum.new(projectionMatrix)", "_lua_murl_math_frustum.html#LuaMurlMathFrustumnewMatrixDataTypeprojectionMatrix", null ]
        ] ],
        [ "Methods", "_lua_murl_math_frustum.html#LuaMurlMathFrustumMethods", [
          [ "Set(projectionMatrix)", "_lua_murl_math_frustum.html#LuaMurlMathFrustumSetMatrixDataTypeprojectionMatrix", null ],
          [ "GetClipPlane(plane)", "_lua_murl_math_frustum.html#LuaMurlMathFrustumGetClipPlaneClipPlaneplane", null ]
        ] ]
      ] ]
    ] ],
    [ "Murl.Math.Limits", "_lua_murl_math_limits.html", [
      [ "Table members", "_lua_murl_math_limits.html#LuaMurlMathLimitsTable", [
        [ "Functions", "_lua_murl_math_limits.html#LuaMurlMathLimitsFunctions", [
          [ "Murl.Math.Limits.Min()", "_lua_murl_math_limits.html#LuaMurlMathLimitsMin", null ],
          [ "Murl.Math.Limits.Max()", "_lua_murl_math_limits.html#LuaMurlMathLimitsMax", null ],
          [ "Murl.Math.Limits.NaN()", "_lua_murl_math_limits.html#LuaMurlMathLimitsNaN", null ],
          [ "Murl.Math.Limits.Infinity()", "_lua_murl_math_limits.html#LuaMurlMathLimitsInfinity", null ],
          [ "Murl.Math.Limits.Epsilon()", "_lua_murl_math_limits.html#LuaMurlMathLimitsEpsilon", null ]
        ] ]
      ] ]
    ] ],
    [ "Murl.Math.Matrix", "_lua_murl_math_matrix.html", [
      [ "Table members", "_lua_murl_math_matrix.html#LuaMurlMathMatrixTable", [
        [ "Enumerations", "_lua_murl_math_matrix.html#LuaMurlMathMatrixEnumerations", [
          [ "Component", "_lua_murl_math_matrix.html#LuaMurlMathMatrixComponent", null ],
          [ "ComponentMask", "_lua_murl_math_matrix.html#LuaMurlMathMatrixComponentMask", null ],
          [ "PredefinedType", "_lua_murl_math_matrix.html#LuaMurlMathMatrixPredefinedType", null ],
          [ "HintFlags", "_lua_murl_math_matrix.html#LuaMurlMathMatrixHintFlags", null ]
        ] ],
        [ "Functions", "_lua_murl_math_matrix.html#LuaMurlMathMatrixFunctions", [
          [ "Murl.Math.Matrix.new()", "_lua_murl_math_matrix.html#LuaMurlMathMatrixnew", null ],
          [ "Murl.Math.Matrix.new(type)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixnewPredefinedTypetype", null ],
          [ "Murl.Math.Matrix.LookAt(center, target, up)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixLookAtVectorDataTypecenterVectorDataTypetargetVectorDataTypeup", null ]
        ] ],
        [ "Methods", "_lua_murl_math_matrix.html#LuaMurlMathMatrixMethods", [
          [ "GetHints()", "_lua_murl_math_matrix.html#LuaMurlMathMatrixGetHints", null ],
          [ "SetHints(mask)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixSetHintsUInt32mask", null ],
          [ "ClearHints(mask)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixClearHintsUInt32mask", null ],
          [ "EnableHints(autoDetect)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixEnableHintsBoolautoDetect", null ],
          [ "DisableHints()", "_lua_murl_math_matrix.html#LuaMurlMathMatrixDisableHints", null ],
          [ "Clear()", "_lua_murl_math_matrix.html#LuaMurlMathMatrixClear", null ],
          [ "SetIdentity()", "_lua_murl_math_matrix.html#LuaMurlMathMatrixSetIdentity", null ],
          [ "SetIdentityRotation()", "_lua_murl_math_matrix.html#LuaMurlMathMatrixSetIdentityRotation", null ],
          [ "Set(m)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixSetMatrixm", null ],
          [ "SetTranslationComponent(x, y, z)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixSetTranslationComponentDataTypexDataTypeyDataTypez", null ],
          [ "SetTranslationComponent(v)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixSetTranslationComponentVectorDataTypev", null ],
          [ "SetTranslationComponentX(x)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixSetTranslationComponentXDataTypex", null ],
          [ "SetTranslationComponentY(y)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixSetTranslationComponentYDataTypey", null ],
          [ "SetTranslationComponentZ(z)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixSetTranslationComponentZDataTypez", null ],
          [ "GetTranslationComponent()", "_lua_murl_math_matrix.html#LuaMurlMathMatrixGetTranslationComponent", null ],
          [ "GetTranslationComponentX()", "_lua_murl_math_matrix.html#LuaMurlMathMatrixGetTranslationComponentX", null ],
          [ "GetTranslationComponentY()", "_lua_murl_math_matrix.html#LuaMurlMathMatrixGetTranslationComponentY", null ],
          [ "GetTranslationComponentZ()", "_lua_murl_math_matrix.html#LuaMurlMathMatrixGetTranslationComponentZ", null ],
          [ "SetScalingComponent(x, y, z)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixSetScalingComponentDataTypexDataTypeyDataTypez", null ],
          [ "SetScalingComponent(v)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixSetScalingComponentVectorDataTypev", null ],
          [ "GetScalingComponent()", "_lua_murl_math_matrix.html#LuaMurlMathMatrixGetScalingComponent", null ],
          [ "GetScalingComponentX()", "_lua_murl_math_matrix.html#LuaMurlMathMatrixGetScalingComponentX", null ],
          [ "GetScalingComponentY()", "_lua_murl_math_matrix.html#LuaMurlMathMatrixGetScalingComponentY", null ],
          [ "GetScalingComponentZ()", "_lua_murl_math_matrix.html#LuaMurlMathMatrixGetScalingComponentZ", null ],
          [ "SetRotationComponent(angleX, angleY, angleZ)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixSetRotationComponentDataTypeangleXDataTypeangleYDataTypeangleZ", null ],
          [ "SetRotationComponent(angle, axis)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixSetRotationComponentDataTypeangleVectorDataTypeaxis", null ],
          [ "SetRotationComponent(rotationMatrix)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixSetRotationComponentMatrixDataTyperotationMatrix", null ],
          [ "SetRotationComponent(q)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixSetRotationComponentQuaternionDataTypeq", null ],
          [ "SetRotationComponent(axisAngle)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixSetRotationComponentVectorDataTypeaxisAngle", null ],
          [ "SetRotationComponentAxisAngle(angle, ax, ay, az)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixSetRotationComponentAxisAngleDataTypeangleDataTypeaxDataTypeayDataTypeaz", null ],
          [ "SetRotationComponentXYZ(angleX, angleY, angleZ, rotationOrder)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixSetRotationComponentXYZDataTypeangleXDataTypeangleYDataTypeangleZIEnumsRotationOrderrotationOrder", null ],
          [ "SetRotationComponentXYZ(angles, rotationOrder)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixSetRotationComponentXYZVectorDataTypeanglesIEnumsRotationOrderrotationOrder", null ],
          [ "SetRotationComponentX(angleX)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixSetRotationComponentXDataTypeangleX", null ],
          [ "SetRotationComponentY(angleY)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixSetRotationComponentYDataTypeangleY", null ],
          [ "SetRotationComponentZ(angleZ)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixSetRotationComponentZDataTypeangleZ", null ],
          [ "GetEulerRotation()", "_lua_murl_math_matrix.html#LuaMurlMathMatrixGetEulerRotation", null ],
          [ "GetRotationAndScalingComponent()", "_lua_murl_math_matrix.html#LuaMurlMathMatrixGetRotationAndScalingComponent", null ],
          [ "GetColumnVector(columnIndex)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixGetColumnVectorUInt32columnIndex", null ],
          [ "SetColumnVector(columnIndex, vec)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixSetColumnVectorUInt32columnIndexVectorDataTypevec", null ],
          [ "GetRowVector(rowIndex)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixGetRowVectorUInt32rowIndex", null ],
          [ "SetRowVector(rowIndex, vec)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixSetRowVectorUInt32rowIndexVectorDataTypevec", null ],
          [ "MultiplySelf(m)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixMultiplySelfMatrixm", null ],
          [ "MultiplySelfReverse(m)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixMultiplySelfReverseMatrixm", null ],
          [ "TransposeSelf()", "_lua_murl_math_matrix.html#LuaMurlMathMatrixTransposeSelf", null ],
          [ "InvertSelf()", "_lua_murl_math_matrix.html#LuaMurlMathMatrixInvertSelf", null ],
          [ "Transform(v)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixTransformVectorDataTypev", null ],
          [ "Rotate(v)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixRotateVectorDataTypev", null ],
          [ "Translate(v)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixTranslateVectorDataTypev", null ],
          [ "Multiply(m)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixMultiplyMatrixm", null ],
          [ "Multiply(v)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixMultiplyVectorDataTypev", null ],
          [ "Transpose()", "_lua_murl_math_matrix.html#LuaMurlMathMatrixTranspose", null ],
          [ "InvertTransRot()", "_lua_murl_math_matrix.html#LuaMurlMathMatrixInvertTransRot", null ],
          [ "InvertTransRotScl()", "_lua_murl_math_matrix.html#LuaMurlMathMatrixInvertTransRotScl", null ],
          [ "Invert()", "_lua_murl_math_matrix.html#LuaMurlMathMatrixInvert", null ],
          [ "Solve(v)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixSolveVectorDataTypev", null ],
          [ "SetElementAt(row, col, value)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixSetElementAtUInt32rowUInt32colDataTypevalue", null ],
          [ "GetElementAt(row, col)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixGetElementAtUInt32rowUInt32col", null ],
          [ "SetElement(element, value)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixSetElementComponentelementDataTypevalue", null ],
          [ "GetElement(element)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixGetElementComponentelement", null ],
          [ "SetXX(value)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixSetXXDataTypevalue", null ],
          [ "SetXY(value)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixSetXYDataTypevalue", null ],
          [ "SetXZ(value)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixSetXZDataTypevalue", null ],
          [ "SetXW(value)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixSetXWDataTypevalue", null ],
          [ "SetYX(value)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixSetYXDataTypevalue", null ],
          [ "SetYY(value)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixSetYYDataTypevalue", null ],
          [ "SetYZ(value)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixSetYZDataTypevalue", null ],
          [ "SetYW(value)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixSetYWDataTypevalue", null ],
          [ "SetZX(value)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixSetZXDataTypevalue", null ],
          [ "SetZY(value)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixSetZYDataTypevalue", null ],
          [ "SetZZ(value)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixSetZZDataTypevalue", null ],
          [ "SetZW(value)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixSetZWDataTypevalue", null ],
          [ "SetWX(value)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixSetWXDataTypevalue", null ],
          [ "SetWY(value)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixSetWYDataTypevalue", null ],
          [ "SetWZ(value)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixSetWZDataTypevalue", null ],
          [ "SetWW(value)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixSetWWDataTypevalue", null ],
          [ "GetXX()", "_lua_murl_math_matrix.html#LuaMurlMathMatrixGetXX", null ],
          [ "GetXY()", "_lua_murl_math_matrix.html#LuaMurlMathMatrixGetXY", null ],
          [ "GetXZ()", "_lua_murl_math_matrix.html#LuaMurlMathMatrixGetXZ", null ],
          [ "GetXW()", "_lua_murl_math_matrix.html#LuaMurlMathMatrixGetXW", null ],
          [ "GetYX()", "_lua_murl_math_matrix.html#LuaMurlMathMatrixGetYX", null ],
          [ "GetYY()", "_lua_murl_math_matrix.html#LuaMurlMathMatrixGetYY", null ],
          [ "GetYZ()", "_lua_murl_math_matrix.html#LuaMurlMathMatrixGetYZ", null ],
          [ "GetYW()", "_lua_murl_math_matrix.html#LuaMurlMathMatrixGetYW", null ],
          [ "GetZX()", "_lua_murl_math_matrix.html#LuaMurlMathMatrixGetZX", null ],
          [ "GetZY()", "_lua_murl_math_matrix.html#LuaMurlMathMatrixGetZY", null ],
          [ "GetZZ()", "_lua_murl_math_matrix.html#LuaMurlMathMatrixGetZZ", null ],
          [ "GetZW()", "_lua_murl_math_matrix.html#LuaMurlMathMatrixGetZW", null ],
          [ "GetWX()", "_lua_murl_math_matrix.html#LuaMurlMathMatrixGetWX", null ],
          [ "GetWY()", "_lua_murl_math_matrix.html#LuaMurlMathMatrixGetWY", null ],
          [ "GetWZ()", "_lua_murl_math_matrix.html#LuaMurlMathMatrixGetWZ", null ],
          [ "GetWW()", "_lua_murl_math_matrix.html#LuaMurlMathMatrixGetWW", null ],
          [ "IsEqual(m)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixIsEqualMatrixm", null ],
          [ "IsEqual(m, epsilon)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixIsEqualMatrixmDataTypeepsilon", null ],
          [ "IsIdentity()", "_lua_murl_math_matrix.html#LuaMurlMathMatrixIsIdentity", null ],
          [ "IsIdentity(epsilon)", "_lua_murl_math_matrix.html#LuaMurlMathMatrixIsIdentityDataTypeepsilon", null ],
          [ "ToString()", "_lua_murl_math_matrix.html#LuaMurlMathMatrixToString", null ],
          [ "GetCount()", "_lua_murl_math_matrix.html#LuaMurlMathMatrixGetCount", null ]
        ] ],
        [ "Metamethods", "_lua_murl_math_matrix.html#LuaMurlMathMatrixMetamethods", [
          [ "The length operator", "_lua_murl_math_matrix.html#LuaMurlMathMatrixMeta__len", null ],
          [ "The tostring operator", "_lua_murl_math_matrix.html#LuaMurlMathMatrixMeta__tostring", null ],
          [ "The array subscript operator.", "_lua_murl_math_matrix.html#LuaMurlMathMatrixMetaLuaArrayUInt32index", null ],
          [ "The multiplication operator.", "_lua_murl_math_matrix.html#LuaMurlMathMatrixMeta__mulMatrixrhs", null ],
          [ "The multiplication operator.", "_lua_murl_math_matrix.html#LuaMurlMathMatrixMeta__mulVectorDataTyperhs", null ],
          [ "The equal to operator.", "_lua_murl_math_matrix.html#LuaMurlMathMatrixMeta__eqMatrixDataTypelhsMatrixDataTyperhs", null ]
        ] ],
        [ "Instance Members", "_lua_murl_math_matrix.html#LuaMurlMathMatrixInstanceMembers", [
          [ "mXX", "_lua_murl_math_matrix.html#LuaMurlMathMatrixmXX", null ],
          [ "mYX", "_lua_murl_math_matrix.html#LuaMurlMathMatrixmYX", null ],
          [ "mZX", "_lua_murl_math_matrix.html#LuaMurlMathMatrixmZX", null ],
          [ "mWX", "_lua_murl_math_matrix.html#LuaMurlMathMatrixmWX", null ],
          [ "mXY", "_lua_murl_math_matrix.html#LuaMurlMathMatrixmXY", null ],
          [ "mYY", "_lua_murl_math_matrix.html#LuaMurlMathMatrixmYY", null ],
          [ "mZY", "_lua_murl_math_matrix.html#LuaMurlMathMatrixmZY", null ],
          [ "mWY", "_lua_murl_math_matrix.html#LuaMurlMathMatrixmWY", null ],
          [ "mXZ", "_lua_murl_math_matrix.html#LuaMurlMathMatrixmXZ", null ],
          [ "mYZ", "_lua_murl_math_matrix.html#LuaMurlMathMatrixmYZ", null ],
          [ "mZZ", "_lua_murl_math_matrix.html#LuaMurlMathMatrixmZZ", null ],
          [ "mWZ", "_lua_murl_math_matrix.html#LuaMurlMathMatrixmWZ", null ],
          [ "mXW", "_lua_murl_math_matrix.html#LuaMurlMathMatrixmXW", null ],
          [ "mYW", "_lua_murl_math_matrix.html#LuaMurlMathMatrixmYW", null ],
          [ "mZW", "_lua_murl_math_matrix.html#LuaMurlMathMatrixmZW", null ],
          [ "mWW", "_lua_murl_math_matrix.html#LuaMurlMathMatrixmWW", null ]
        ] ]
      ] ]
    ] ],
    [ "Murl.Math.MinMax", "_lua_murl_math_min_max.html", [
      [ "Table members", "_lua_murl_math_min_max.html#LuaMurlMathMinMaxTable", [
        [ "Functions", "_lua_murl_math_min_max.html#LuaMurlMathMinMaxFunctions", [
          [ "Murl.Math.MinMax.new()", "_lua_murl_math_min_max.html#LuaMurlMathMinMaxnew", null ],
          [ "Murl.Math.MinMax.new(min, max)", "_lua_murl_math_min_max.html#LuaMurlMathMinMaxnewDataTypeminDataTypemax", null ],
          [ "Murl.Math.MinMax.new(values)", "_lua_murl_math_min_max.html#LuaMurlMathMinMaxnewArrayDataTypevalues", null ]
        ] ],
        [ "Methods", "_lua_murl_math_min_max.html#LuaMurlMathMinMaxMethods", [
          [ "Reset()", "_lua_murl_math_min_max.html#LuaMurlMathMinMaxReset", null ],
          [ "Add(value)", "_lua_murl_math_min_max.html#LuaMurlMathMinMaxAddDataTypevalue", null ],
          [ "Add(values)", "_lua_murl_math_min_max.html#LuaMurlMathMinMaxAddArrayDataTypevalues", null ],
          [ "GetMin()", "_lua_murl_math_min_max.html#LuaMurlMathMinMaxGetMin", null ],
          [ "GetMax()", "_lua_murl_math_min_max.html#LuaMurlMathMinMaxGetMax", null ],
          [ "IsInRange(value)", "_lua_murl_math_min_max.html#LuaMurlMathMinMaxIsInRangeDataTypevalue", null ],
          [ "IsInRangeEx(value)", "_lua_murl_math_min_max.html#LuaMurlMathMinMaxIsInRangeExDataTypevalue", null ],
          [ "IsInRangeExMin(value)", "_lua_murl_math_min_max.html#LuaMurlMathMinMaxIsInRangeExMinDataTypevalue", null ],
          [ "IsInRangeExMax(value)", "_lua_murl_math_min_max.html#LuaMurlMathMinMaxIsInRangeExMaxDataTypevalue", null ],
          [ "Unite(other)", "_lua_murl_math_min_max.html#LuaMurlMathMinMaxUniteMinMaxother", null ],
          [ "SetMin(min)", "_lua_murl_math_min_max.html#LuaMurlMathMinMaxSetMinDataTypemin", null ],
          [ "SetMax(max)", "_lua_murl_math_min_max.html#LuaMurlMathMinMaxSetMaxDataTypemax", null ],
          [ "Set(min, max)", "_lua_murl_math_min_max.html#LuaMurlMathMinMaxSetDataTypeminDataTypemax", null ],
          [ "ToString()", "_lua_murl_math_min_max.html#LuaMurlMathMinMaxToString", null ]
        ] ],
        [ "Metamethods", "_lua_murl_math_min_max.html#LuaMurlMathMinMaxMetamethods", [
          [ "The tostring operator", "_lua_murl_math_min_max.html#LuaMurlMathMinMaxMeta__tostring", null ],
          [ "The equal to operator.", "_lua_murl_math_min_max.html#LuaMurlMathMinMaxMeta__eqMinMaxlhsMinMaxrhs", null ]
        ] ]
      ] ]
    ] ],
    [ "Murl.Math.Plane", "_lua_murl_math_plane.html", [
      [ "Table members", "_lua_murl_math_plane.html#LuaMurlMathPlaneTable", [
        [ "Functions", "_lua_murl_math_plane.html#LuaMurlMathPlaneFunctions", [
          [ "Murl.Math.Plane.new()", "_lua_murl_math_plane.html#LuaMurlMathPlanenew", null ]
        ] ],
        [ "Methods", "_lua_murl_math_plane.html#LuaMurlMathPlaneMethods", [
          [ "Set(a, b, c, d)", "_lua_murl_math_plane.html#LuaMurlMathPlaneSetDataTypeaDataTypebDataTypecDataTyped", null ],
          [ "NormalizeSelf()", "_lua_murl_math_plane.html#LuaMurlMathPlaneNormalizeSelf", null ],
          [ "GetPointDistance(point)", "_lua_murl_math_plane.html#LuaMurlMathPlaneGetPointDistanceVectorDataTypepoint", null ],
          [ "ToString()", "_lua_murl_math_plane.html#LuaMurlMathPlaneToString", null ]
        ] ],
        [ "Metamethods", "_lua_murl_math_plane.html#LuaMurlMathPlaneMetamethods", [
          [ "The tostring operator", "_lua_murl_math_plane.html#LuaMurlMathPlaneMeta__tostring", null ]
        ] ],
        [ "Instance Members", "_lua_murl_math_plane.html#LuaMurlMathPlaneInstanceMembers", [
          [ "mA", "_lua_murl_math_plane.html#LuaMurlMathPlanemA", null ],
          [ "mB", "_lua_murl_math_plane.html#LuaMurlMathPlanemB", null ],
          [ "mC", "_lua_murl_math_plane.html#LuaMurlMathPlanemC", null ],
          [ "mD", "_lua_murl_math_plane.html#LuaMurlMathPlanemD", null ]
        ] ]
      ] ]
    ] ],
    [ "Murl.Math.Quaternion", "_lua_murl_math_quaternion.html", [
      [ "Table members", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionTable", [
        [ "Enumerations", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionEnumerations", [
          [ "Component", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionComponent", null ],
          [ "ComponentMask", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionComponentMask", null ],
          [ "PredefinedType", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionPredefinedType", null ]
        ] ],
        [ "Functions", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionFunctions", [
          [ "Murl.Math.Quaternion.new()", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionnew", null ],
          [ "Murl.Math.Quaternion.new(type)", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionnewPredefinedTypetype", null ],
          [ "Murl.Math.Quaternion.new(vr, vi, vj, vk)", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionnewDataTypevrDataTypeviDataTypevjDataTypevk", null ],
          [ "Murl.Math.Quaternion.new(angle, axis)", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionnewDataTypeangleVectorDataTypeaxis", null ],
          [ "Murl.Math.Quaternion.new(m)", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionnewMatrixDataTypem", null ],
          [ "Murl.Math.Quaternion.new(v)", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionnewVectorDataTypev", null ]
        ] ],
        [ "Methods", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionMethods", [
          [ "Set(vr, vi, vj, vk)", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionSetDataTypevrDataTypeviDataTypevjDataTypevk", null ],
          [ "Set(m)", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionSetMatrixDataTypem", null ],
          [ "Set(q)", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionSetQuaternionq", null ],
          [ "Clear()", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionClear", null ],
          [ "InvertSelf()", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionInvertSelf", null ],
          [ "AddSelf(q)", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionAddSelfQuaternionq", null ],
          [ "MultiplySelf(d)", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionMultiplySelfDataTyped", null ],
          [ "MultiplySelf(q)", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionMultiplySelfQuaternionq", null ],
          [ "MultiplySelf(v)", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionMultiplySelfVectorDataTypev", null ],
          [ "NormalizeSelf()", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionNormalizeSelf", null ],
          [ "Invert()", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionInvert", null ],
          [ "Add(q)", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionAddQuaternionq", null ],
          [ "Multiply(d)", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionMultiplyDataTyped", null ],
          [ "Multiply(q)", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionMultiplyQuaternionq", null ],
          [ "Multiply(v)", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionMultiplyVectorDataTypev", null ],
          [ "Normalize()", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionNormalize", null ],
          [ "Interpolate(q, t, spherical)", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionInterpolateQuaternionqDataTypetBoolspherical", null ],
          [ "IsEqual(q)", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionIsEqualQuaternionq", null ],
          [ "IsEqual(q, epsilon)", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionIsEqualQuaternionqDataTypeepsilon", null ],
          [ "ToString()", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionToString", null ],
          [ "GetCount()", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionGetCount", null ]
        ] ],
        [ "Metamethods", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionMetamethods", [
          [ "The length operator", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionMeta__len", null ],
          [ "The tostring operator", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionMeta__tostring", null ],
          [ "The array subscript operator.", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionMetaLuaArrayUInt32index", null ],
          [ "The addition operator.", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionMeta__addQuaternionrhs", null ],
          [ "The multiplication operator.", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionMeta__mulDataTyperhs", null ],
          [ "The multiplication operator.", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionMeta__mulQuaternionrhs", null ],
          [ "The multiplication operator.", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionMeta__mulVectorDataTyperhs", null ],
          [ "The equal to operator.", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionMeta__eqQuaternionDataTypelhsQuaternionDataTyperhs", null ]
        ] ],
        [ "Instance Members", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionInstanceMembers", [
          [ "r", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionr", null ],
          [ "i", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternioni", null ],
          [ "j", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionj", null ],
          [ "k", "_lua_murl_math_quaternion.html#LuaMurlMathQuaternionk", null ]
        ] ]
      ] ]
    ] ],
    [ "Murl.Math.Ray", "_lua_murl_math_ray.html", [
      [ "Table members", "_lua_murl_math_ray.html#LuaMurlMathRayTable", [
        [ "Functions", "_lua_murl_math_ray.html#LuaMurlMathRayFunctions", [
          [ "Murl.Math.Ray.new()", "_lua_murl_math_ray.html#LuaMurlMathRaynew", null ],
          [ "Murl.Math.Ray.new(origin, direction)", "_lua_murl_math_ray.html#LuaMurlMathRaynewVectorDataTypeoriginVectorDataTypedirection", null ]
        ] ],
        [ "Methods", "_lua_murl_math_ray.html#LuaMurlMathRayMethods", [
          [ "Set(other)", "_lua_murl_math_ray.html#LuaMurlMathRaySetRayother", null ],
          [ "Set(origin, direction)", "_lua_murl_math_ray.html#LuaMurlMathRaySetVectorDataTypeoriginVectorDataTypedirection", null ],
          [ "SetOrigin(origin)", "_lua_murl_math_ray.html#LuaMurlMathRaySetOriginVectorDataTypeorigin", null ],
          [ "GetOrigin()", "_lua_murl_math_ray.html#LuaMurlMathRayGetOrigin", null ],
          [ "SetDirection(direction)", "_lua_murl_math_ray.html#LuaMurlMathRaySetDirectionVectorDataTypedirection", null ],
          [ "GetDirection()", "_lua_murl_math_ray.html#LuaMurlMathRayGetDirection", null ]
        ] ]
      ] ]
    ] ],
    [ "Murl.Math.Rectangle", "_lua_murl_math_rectangle.html", [
      [ "Table members", "_lua_murl_math_rectangle.html#LuaMurlMathRectangleTable", [
        [ "Functions", "_lua_murl_math_rectangle.html#LuaMurlMathRectangleFunctions", [
          [ "Murl.Math.Rectangle.new()", "_lua_murl_math_rectangle.html#LuaMurlMathRectanglenew", null ],
          [ "Murl.Math.Rectangle.new(x1, y1, x2, y2)", "_lua_murl_math_rectangle.html#LuaMurlMathRectanglenewDataTypex1DataTypey1DataTypex2DataTypey2", null ]
        ] ],
        [ "Methods", "_lua_murl_math_rectangle.html#LuaMurlMathRectangleMethods", [
          [ "Set(x1, y1, x2, y2)", "_lua_murl_math_rectangle.html#LuaMurlMathRectangleSetDataTypex1DataTypey1DataTypex2DataTypey2", null ],
          [ "Set(other)", "_lua_murl_math_rectangle.html#LuaMurlMathRectangleSetRectangleother", null ],
          [ "SetX1(x1)", "_lua_murl_math_rectangle.html#LuaMurlMathRectangleSetX1DataTypex1", null ],
          [ "SetY1(y1)", "_lua_murl_math_rectangle.html#LuaMurlMathRectangleSetY1DataTypey1", null ],
          [ "SetX2(x2)", "_lua_murl_math_rectangle.html#LuaMurlMathRectangleSetX2DataTypex2", null ],
          [ "SetY2(y2)", "_lua_murl_math_rectangle.html#LuaMurlMathRectangleSetY2DataTypey2", null ],
          [ "SetPositionAndSize(x, y, sizeX, sizeY)", "_lua_murl_math_rectangle.html#LuaMurlMathRectangleSetPositionAndSizeDataTypexDataTypeyDataTypesizeXDataTypesizeY", null ],
          [ "SetSize(sizeX, sizeY)", "_lua_murl_math_rectangle.html#LuaMurlMathRectangleSetSizeDataTypesizeXDataTypesizeY", null ],
          [ "SetSizeX(size)", "_lua_murl_math_rectangle.html#LuaMurlMathRectangleSetSizeXDataTypesize", null ],
          [ "SetSizeY(size)", "_lua_murl_math_rectangle.html#LuaMurlMathRectangleSetSizeYDataTypesize", null ],
          [ "GetX1()", "_lua_murl_math_rectangle.html#LuaMurlMathRectangleGetX1", null ],
          [ "GetY1()", "_lua_murl_math_rectangle.html#LuaMurlMathRectangleGetY1", null ],
          [ "GetX2()", "_lua_murl_math_rectangle.html#LuaMurlMathRectangleGetX2", null ],
          [ "GetY2()", "_lua_murl_math_rectangle.html#LuaMurlMathRectangleGetY2", null ],
          [ "GetSizeX()", "_lua_murl_math_rectangle.html#LuaMurlMathRectangleGetSizeX", null ],
          [ "GetSizeY()", "_lua_murl_math_rectangle.html#LuaMurlMathRectangleGetSizeY", null ],
          [ "GetArea()", "_lua_murl_math_rectangle.html#LuaMurlMathRectangleGetArea", null ],
          [ "Unite(other)", "_lua_murl_math_rectangle.html#LuaMurlMathRectangleUniteRectangleother", null ],
          [ "Intersect(other)", "_lua_murl_math_rectangle.html#LuaMurlMathRectangleIntersectRectangleother", null ],
          [ "Include(x, y)", "_lua_murl_math_rectangle.html#LuaMurlMathRectangleIncludeDataTypexDataTypey", null ],
          [ "IsIntersecting(other)", "_lua_murl_math_rectangle.html#LuaMurlMathRectangleIsIntersectingRectangleother", null ],
          [ "IsEmpty()", "_lua_murl_math_rectangle.html#LuaMurlMathRectangleIsEmpty", null ],
          [ "IsEqual(r)", "_lua_murl_math_rectangle.html#LuaMurlMathRectangleIsEqualRectangler", null ],
          [ "IsEqual(r, epsilon)", "_lua_murl_math_rectangle.html#LuaMurlMathRectangleIsEqualRectanglerDataTypeepsilon", null ],
          [ "ToString()", "_lua_murl_math_rectangle.html#LuaMurlMathRectangleToString", null ]
        ] ],
        [ "Metamethods", "_lua_murl_math_rectangle.html#LuaMurlMathRectangleMetamethods", [
          [ "The tostring operator", "_lua_murl_math_rectangle.html#LuaMurlMathRectangleMeta__tostring", null ],
          [ "The equal to operator.", "_lua_murl_math_rectangle.html#LuaMurlMathRectangleMeta__eqRectangleDataTypelhsRectangleDataTyperhs", null ]
        ] ]
      ] ]
    ] ],
    [ "Murl.Math.Sphere", "_lua_murl_math_sphere.html", [
      [ "Table members", "_lua_murl_math_sphere.html#LuaMurlMathSphereTable", [
        [ "Functions", "_lua_murl_math_sphere.html#LuaMurlMathSphereFunctions", [
          [ "Murl.Math.Sphere.new()", "_lua_murl_math_sphere.html#LuaMurlMathSpherenew", null ],
          [ "Murl.Math.Sphere.new(centerX, centerY, centerZ, radius)", "_lua_murl_math_sphere.html#LuaMurlMathSpherenewDataTypecenterXDataTypecenterYDataTypecenterZDataTyperadius", null ],
          [ "Murl.Math.Sphere.new(box)", "_lua_murl_math_sphere.html#LuaMurlMathSpherenewBoxDataTypebox", null ],
          [ "Murl.Math.Sphere.new(s1, s2)", "_lua_murl_math_sphere.html#LuaMurlMathSpherenewSpheres1Spheres2", null ],
          [ "Murl.Math.Sphere.new(center, radius)", "_lua_murl_math_sphere.html#LuaMurlMathSpherenewVectorDataTypecenterDataTyperadius", null ],
          [ "Murl.Math.Sphere.new(a, b, c)", "_lua_murl_math_sphere.html#LuaMurlMathSpherenewVectorDataTypeaVectorDataTypebVectorDataTypec", null ]
        ] ],
        [ "Methods", "_lua_murl_math_sphere.html#LuaMurlMathSphereMethods", [
          [ "Clear()", "_lua_murl_math_sphere.html#LuaMurlMathSphereClear", null ],
          [ "Set(box)", "_lua_murl_math_sphere.html#LuaMurlMathSphereSetBoxDataTypebox", null ],
          [ "Set(other)", "_lua_murl_math_sphere.html#LuaMurlMathSphereSetSphereother", null ],
          [ "Set(s1, s2)", "_lua_murl_math_sphere.html#LuaMurlMathSphereSetSpheres1Spheres2", null ],
          [ "Set(center, radius)", "_lua_murl_math_sphere.html#LuaMurlMathSphereSetVectorDataTypecenterDataTyperadius", null ],
          [ "SetBounding(a)", "_lua_murl_math_sphere.html#LuaMurlMathSphereSetBoundingVectorDataTypea", null ],
          [ "SetBounding(a, b)", "_lua_murl_math_sphere.html#LuaMurlMathSphereSetBoundingVectorDataTypeaVectorDataTypeb", null ],
          [ "SetBounding(a, b, c)", "_lua_murl_math_sphere.html#LuaMurlMathSphereSetBoundingVectorDataTypeaVectorDataTypebVectorDataTypec", null ],
          [ "SetBounding(a, b, c, d)", "_lua_murl_math_sphere.html#LuaMurlMathSphereSetBoundingVectorDataTypeaVectorDataTypebVectorDataTypecVectorDataTyped", null ],
          [ "SetContaining(a)", "_lua_murl_math_sphere.html#LuaMurlMathSphereSetContainingVectorDataTypea", null ],
          [ "SetContaining(a, b)", "_lua_murl_math_sphere.html#LuaMurlMathSphereSetContainingVectorDataTypeaVectorDataTypeb", null ],
          [ "SetContaining(a, b, c)", "_lua_murl_math_sphere.html#LuaMurlMathSphereSetContainingVectorDataTypeaVectorDataTypebVectorDataTypec", null ],
          [ "SetCenter(center)", "_lua_murl_math_sphere.html#LuaMurlMathSphereSetCenterVectorDataTypecenter", null ],
          [ "GetCenter()", "_lua_murl_math_sphere.html#LuaMurlMathSphereGetCenter", null ],
          [ "SetRadius(radius)", "_lua_murl_math_sphere.html#LuaMurlMathSphereSetRadiusDataTyperadius", null ],
          [ "GetRadius()", "_lua_murl_math_sphere.html#LuaMurlMathSphereGetRadius", null ],
          [ "Unite(other)", "_lua_murl_math_sphere.html#LuaMurlMathSphereUniteSphereother", null ],
          [ "Include(point)", "_lua_murl_math_sphere.html#LuaMurlMathSphereIncludeVectorDataTypepoint", null ],
          [ "IsIntersecting(other)", "_lua_murl_math_sphere.html#LuaMurlMathSphereIsIntersectingSphereother", null ],
          [ "IsContaining(p)", "_lua_murl_math_sphere.html#LuaMurlMathSphereIsContainingVectorDataTypep", null ],
          [ "IsEmpty()", "_lua_murl_math_sphere.html#LuaMurlMathSphereIsEmpty", null ],
          [ "GetFlags()", "_lua_murl_math_sphere.html#LuaMurlMathSphereGetFlags", null ],
          [ "ToString()", "_lua_murl_math_sphere.html#LuaMurlMathSphereToString", null ]
        ] ],
        [ "Metamethods", "_lua_murl_math_sphere.html#LuaMurlMathSphereMetamethods", [
          [ "The tostring operator", "_lua_murl_math_sphere.html#LuaMurlMathSphereMeta__tostring", null ]
        ] ]
      ] ]
    ] ],
    [ "Murl.Math.StaticMatrix", "_lua_murl_math_static_matrix.html", [
      [ "Table members", "_lua_murl_math_static_matrix.html#LuaMurlMathStaticMatrixTable", [
        [ "Functions", "_lua_murl_math_static_matrix.html#LuaMurlMathStaticMatrixFunctions", [
          [ "Murl.Math.StaticMatrix.Zero()", "_lua_murl_math_static_matrix.html#LuaMurlMathStaticMatrixZero", null ],
          [ "Murl.Math.StaticMatrix.Identity()", "_lua_murl_math_static_matrix.html#LuaMurlMathStaticMatrixIdentity", null ]
        ] ]
      ] ]
    ] ],
    [ "Murl.Math.StaticVector", "_lua_murl_math_static_vector.html", [
      [ "Table members", "_lua_murl_math_static_vector.html#LuaMurlMathStaticVectorTable", [
        [ "Functions", "_lua_murl_math_static_vector.html#LuaMurlMathStaticVectorFunctions", [
          [ "Murl.Math.StaticVector.ZeroPosition()", "_lua_murl_math_static_vector.html#LuaMurlMathStaticVectorZeroPosition", null ],
          [ "Murl.Math.StaticVector.ZeroDirection()", "_lua_murl_math_static_vector.html#LuaMurlMathStaticVectorZeroDirection", null ]
        ] ]
      ] ]
    ] ],
    [ "Murl.Math.Vector", "_lua_murl_math_vector.html", [
      [ "Table members", "_lua_murl_math_vector.html#LuaMurlMathVectorTable", [
        [ "Enumerations", "_lua_murl_math_vector.html#LuaMurlMathVectorEnumerations", [
          [ "Component", "_lua_murl_math_vector.html#LuaMurlMathVectorComponent", null ],
          [ "ComponentMask", "_lua_murl_math_vector.html#LuaMurlMathVectorComponentMask", null ],
          [ "PredefinedType", "_lua_murl_math_vector.html#LuaMurlMathVectorPredefinedType", null ]
        ] ],
        [ "Functions", "_lua_murl_math_vector.html#LuaMurlMathVectorFunctions", [
          [ "Murl.Math.Vector.new()", "_lua_murl_math_vector.html#LuaMurlMathVectornew", null ],
          [ "Murl.Math.Vector.new(type)", "_lua_murl_math_vector.html#LuaMurlMathVectornewPredefinedTypetype", null ],
          [ "Murl.Math.Vector.new(vx, vy, vz, vw)", "_lua_murl_math_vector.html#LuaMurlMathVectornewDataTypevxDataTypevyDataTypevzDataTypevw", null ],
          [ "Murl.Math.Vector.new(q)", "_lua_murl_math_vector.html#LuaMurlMathVectornewQuaternionDataTypeq", null ]
        ] ],
        [ "Methods", "_lua_murl_math_vector.html#LuaMurlMathVectorMethods", [
          [ "Clear()", "_lua_murl_math_vector.html#LuaMurlMathVectorClear", null ],
          [ "Set(v)", "_lua_murl_math_vector.html#LuaMurlMathVectorSetDataTypev", null ],
          [ "Set(vx, vy, vz, vw)", "_lua_murl_math_vector.html#LuaMurlMathVectorSetDataTypevxDataTypevyDataTypevzDataTypevw", null ],
          [ "Set(q)", "_lua_murl_math_vector.html#LuaMurlMathVectorSetQuaternionDataTypeq", null ],
          [ "Set(v)", "_lua_murl_math_vector.html#LuaMurlMathVectorSetVectorv", null ],
          [ "AddSelf(v)", "_lua_murl_math_vector.html#LuaMurlMathVectorAddSelfVectorv", null ],
          [ "SubtractSelf(v)", "_lua_murl_math_vector.html#LuaMurlMathVectorSubtractSelfVectorv", null ],
          [ "MultiplySelf(v)", "_lua_murl_math_vector.html#LuaMurlMathVectorMultiplySelfDataTypev", null ],
          [ "MultiplySelf(v)", "_lua_murl_math_vector.html#LuaMurlMathVectorMultiplySelfVectorv", null ],
          [ "DivideSelf(v)", "_lua_murl_math_vector.html#LuaMurlMathVectorDivideSelfDataTypev", null ],
          [ "DivideSelf(v)", "_lua_murl_math_vector.html#LuaMurlMathVectorDivideSelfVectorv", null ],
          [ "CrossSelf(v)", "_lua_murl_math_vector.html#LuaMurlMathVectorCrossSelfVectorv", null ],
          [ "InterpolateSelf(v, t)", "_lua_murl_math_vector.html#LuaMurlMathVectorInterpolateSelfVectorvDataTypet", null ],
          [ "ProjectSelf(v)", "_lua_murl_math_vector.html#LuaMurlMathVectorProjectSelfVectorv", null ],
          [ "MinSelf(v)", "_lua_murl_math_vector.html#LuaMurlMathVectorMinSelfVectorv", null ],
          [ "MaxSelf(v)", "_lua_murl_math_vector.html#LuaMurlMathVectorMaxSelfVectorv", null ],
          [ "ClampSelf(min, max)", "_lua_murl_math_vector.html#LuaMurlMathVectorClampSelfVectorminVectormax", null ],
          [ "MinLengthSelf(v)", "_lua_murl_math_vector.html#LuaMurlMathVectorMinLengthSelfDataTypev", null ],
          [ "MaxLengthSelf(v)", "_lua_murl_math_vector.html#LuaMurlMathVectorMaxLengthSelfDataTypev", null ],
          [ "ClampLengthSelf(min, max)", "_lua_murl_math_vector.html#LuaMurlMathVectorClampLengthSelfDataTypeminDataTypemax", null ],
          [ "AbsSelf()", "_lua_murl_math_vector.html#LuaMurlMathVectorAbsSelf", null ],
          [ "SgnSelf()", "_lua_murl_math_vector.html#LuaMurlMathVectorSgnSelf", null ],
          [ "InvertSelf()", "_lua_murl_math_vector.html#LuaMurlMathVectorInvertSelf", null ],
          [ "NormalizeSelf()", "_lua_murl_math_vector.html#LuaMurlMathVectorNormalizeSelf", null ],
          [ "NormalizeAxisSelf()", "_lua_murl_math_vector.html#LuaMurlMathVectorNormalizeAxisSelf", null ],
          [ "Add(v)", "_lua_murl_math_vector.html#LuaMurlMathVectorAddVectorv", null ],
          [ "Subtract(v)", "_lua_murl_math_vector.html#LuaMurlMathVectorSubtractVectorv", null ],
          [ "Multiply(v)", "_lua_murl_math_vector.html#LuaMurlMathVectorMultiplyDataTypev", null ],
          [ "Multiply(q)", "_lua_murl_math_vector.html#LuaMurlMathVectorMultiplyQuaternionDataTypeq", null ],
          [ "Multiply(v)", "_lua_murl_math_vector.html#LuaMurlMathVectorMultiplyVectorv", null ],
          [ "Divide(v)", "_lua_murl_math_vector.html#LuaMurlMathVectorDivideDataTypev", null ],
          [ "Divide(v)", "_lua_murl_math_vector.html#LuaMurlMathVectorDivideVectorv", null ],
          [ "Cross(v)", "_lua_murl_math_vector.html#LuaMurlMathVectorCrossVectorv", null ],
          [ "Interpolate(v, t)", "_lua_murl_math_vector.html#LuaMurlMathVectorInterpolateVectorvDataTypet", null ],
          [ "Project(v)", "_lua_murl_math_vector.html#LuaMurlMathVectorProjectVectorv", null ],
          [ "Min(v)", "_lua_murl_math_vector.html#LuaMurlMathVectorMinVectorv", null ],
          [ "Max(v)", "_lua_murl_math_vector.html#LuaMurlMathVectorMaxVectorv", null ],
          [ "Clamp(min, max)", "_lua_murl_math_vector.html#LuaMurlMathVectorClampVectorminVectormax", null ],
          [ "MinLength(v)", "_lua_murl_math_vector.html#LuaMurlMathVectorMinLengthDataTypev", null ],
          [ "MaxLength(v)", "_lua_murl_math_vector.html#LuaMurlMathVectorMaxLengthDataTypev", null ],
          [ "ClampLength(min, max)", "_lua_murl_math_vector.html#LuaMurlMathVectorClampLengthDataTypeminDataTypemax", null ],
          [ "Abs()", "_lua_murl_math_vector.html#LuaMurlMathVectorAbs", null ],
          [ "Sgn()", "_lua_murl_math_vector.html#LuaMurlMathVectorSgn", null ],
          [ "Invert()", "_lua_murl_math_vector.html#LuaMurlMathVectorInvert", null ],
          [ "Normalize()", "_lua_murl_math_vector.html#LuaMurlMathVectorNormalize", null ],
          [ "NormalizeAxis()", "_lua_murl_math_vector.html#LuaMurlMathVectorNormalizeAxis", null ],
          [ "Dot(v)", "_lua_murl_math_vector.html#LuaMurlMathVectorDotVectorv", null ],
          [ "GetLength()", "_lua_murl_math_vector.html#LuaMurlMathVectorGetLength", null ],
          [ "GetSquaredLength()", "_lua_murl_math_vector.html#LuaMurlMathVectorGetSquaredLength", null ],
          [ "GetAngle2D()", "_lua_murl_math_vector.html#LuaMurlMathVectorGetAngle2D", null ],
          [ "IsZero()", "_lua_murl_math_vector.html#LuaMurlMathVectorIsZero", null ],
          [ "IsZero(epsilon)", "_lua_murl_math_vector.html#LuaMurlMathVectorIsZeroDataTypeepsilon", null ],
          [ "IsZeroPosition()", "_lua_murl_math_vector.html#LuaMurlMathVectorIsZeroPosition", null ],
          [ "IsZeroPosition(epsilon)", "_lua_murl_math_vector.html#LuaMurlMathVectorIsZeroPositionDataTypeepsilon", null ],
          [ "IsEqual(v)", "_lua_murl_math_vector.html#LuaMurlMathVectorIsEqualVectorv", null ],
          [ "IsEqual(v, epsilon)", "_lua_murl_math_vector.html#LuaMurlMathVectorIsEqualVectorvDataTypeepsilon", null ],
          [ "GetBaseNormals(n1, n2, n3)", "_lua_murl_math_vector.html#LuaMurlMathVectorGetBaseNormalsVectorn1Vectorn2Vectorn3", null ],
          [ "ToString()", "_lua_murl_math_vector.html#LuaMurlMathVectorToString", null ],
          [ "GetCount()", "_lua_murl_math_vector.html#LuaMurlMathVectorGetCount", null ]
        ] ],
        [ "Metamethods", "_lua_murl_math_vector.html#LuaMurlMathVectorMetamethods", [
          [ "The length operator", "_lua_murl_math_vector.html#LuaMurlMathVectorMeta__len", null ],
          [ "The tostring operator", "_lua_murl_math_vector.html#LuaMurlMathVectorMeta__tostring", null ],
          [ "The array subscript operator.", "_lua_murl_math_vector.html#LuaMurlMathVectorMetaLuaArrayUInt32index", null ],
          [ "The addition operator.", "_lua_murl_math_vector.html#LuaMurlMathVectorMeta__addVectorrhs", null ],
          [ "The unary minus operator.", "_lua_murl_math_vector.html#LuaMurlMathVectorMeta__unm", null ],
          [ "The subtraction operator.", "_lua_murl_math_vector.html#LuaMurlMathVectorMeta__subVectorrhs", null ],
          [ "The multiplication operator.", "_lua_murl_math_vector.html#LuaMurlMathVectorMeta__mulDataTyperhs", null ],
          [ "The multiplication operator.", "_lua_murl_math_vector.html#LuaMurlMathVectorMeta__mulQuaternionDataTyperhs", null ],
          [ "The multiplication operator.", "_lua_murl_math_vector.html#LuaMurlMathVectorMeta__mulVectorrhs", null ],
          [ "The division operator.", "_lua_murl_math_vector.html#LuaMurlMathVectorMeta__divDataTyperhs", null ],
          [ "The division operator.", "_lua_murl_math_vector.html#LuaMurlMathVectorMeta__divVectorrhs", null ],
          [ "The equal to operator.", "_lua_murl_math_vector.html#LuaMurlMathVectorMeta__eqVectorDataTypelhsVectorDataTyperhs", null ]
        ] ],
        [ "Instance Members", "_lua_murl_math_vector.html#LuaMurlMathVectorInstanceMembers", [
          [ "x", "_lua_murl_math_vector.html#LuaMurlMathVectorx", null ],
          [ "y", "_lua_murl_math_vector.html#LuaMurlMathVectory", null ],
          [ "z", "_lua_murl_math_vector.html#LuaMurlMathVectorz", null ],
          [ "w", "_lua_murl_math_vector.html#LuaMurlMathVectorw", null ]
        ] ]
      ] ]
    ] ]
];